### Name: ontology-class
### Title: Class "ontology" wraps a rooted DAG with some ontology metadata
### Aliases: ontology-class ontology name OVersion name,ontology-method
###   OVersion,ontology-method show,ontology-method makeOntology
###   rDAG,ontology-method accessMat,ontology-method rDAG
### Keywords: classes

### ** Examples

data(litOnto)
print(litOnto)
g1 <- new("rootedDAG", DAG=litOnto, root="A")
o1 <- new("ontology", name="demo", version="0.1",
        rDAG=g1)
# can also use
o1b <- makeOntology( name="demo", version="0.1", 
   graph=litOnto, root="A")
show(o1)
print(accessMat(o1))
print(OVersion(o1))



